#include <iostream> 
#include "O22SIOMM.h"
#include "O22STRCT.h"

int main() {
    const char *address = "127.0.0.1";
    // create a connection to the local EPIC, and confirm that it's successful
    O22SnapIoMemMap EPIC;
    int nResult = EPIC.OpenEnet2(address, 2001, 10000, 2, SIOMM_TCP);
    if(nResult != SIOMM_OK) {
        printf("OpenEnet2 reports result %d, exiting.\n", nResult);
        exit(0);
    }
    // wait for the connection to complete
    usleep(100000); // 0.1s
    
    // Use the `ReadFloat` function to get and convert a float from a specific MMP address
//  int ReadFloat(uint32_t dwDestOffset, float * pfValue);
    uint32_t MMP = 0xF0300140; // address for the analog scanner time
    float value; // result value to hold the analog scanner time
    
    // Make the OptoMMP read command to get the float:
    nResult = EPIC.ReadFloat(MMP, &value);

    // print the result:
    printf("Analog scanner scan time = %f miiliseconds\n", value);

    return 0;
}
